Demo Documentation
3/8/12 5:33 PM

Package Summary
ej |

Package ej

Interface Summary
ListOperator | interface used to perform any math operation

Class Summary
dx2x | take a list of intervals and generate a new list with a new origin
ej |
fplay | Multi function editor (like ej.function.js without the graphics)
ftom | Convert frequency to midi.
getejiesversion | Returns the current installed version and the current available version (Internet connection).
l2buffer | store a list into a buffer~
lchange | aware of list change
lclip | clip the values of a list
ldrunk | give beers to a list...
linterp | list interpolator
ListAbs | ListAbs: interface used to perform ListAbs math operation
ListAbsDiff | ListAbsDiff: interface used to perform ListAbsDiff math operation
ListAcos | ListAcos: interface used to perform ListAcos math operation
ListAddition | ListAddition: interface used to perform ListAddition math operation
ListAsin | ListAsin: interface used to perform ListAsin math operation
ListAtan | ListAtan: interface used to perform ListAtan math operation
ListAtan2 | ListAtan2: interface used to perform ListAtan2 math operation
ListAtodb | ListAtodb: interface used to perform ListAtodb math operation
ListAverage | ListAverage: interface used to perform ListAverage math operation
ListCeil | ListCeil: interface used to perform ListCeil math operation
ListCos | ListCos: interface used to perform ListCos math operation
ListDbtoa | ListDbtoa: interface used to perform ListDbtoa math operation
ListDivision | ListDivision: interface used to perform ListDivision math operation
ListEqual | ListEqual: interface used to perform ListEqual math operation
ListEqualPass | ListEqualPass: interface used to perform ListEqualPass math operation
ListExp | ListExp: interface used to perform ListExp math operation
ListFloor | ListFloor: interface used to perform ListFloor math operation
ListGT | ListGT: interface used to perform ListGT math operation
ListGTOE | ListGTOE: interface used to perform ListGTOE math operation
ListGTOEPass | ListGTOEPass: interface used to perform ListGTOEPass math operation
ListGTPass | ListGTPass: interface used to perform ListGTPass math operation
ListIntDiv | ListIntDiv: interface used to perform ListIntDiv math operation
ListInvDivision | ListInvDivision: interface used to perform ListInvDivision math operation
ListInvIntDiv | ListInvIntDiv: interface used to perform ListInvIntDiv math operation
ListInvModulo | ListInvModulo: interface used to perform ListInvModulo math operation
ListInvSoustraction | ListInvSoustraction: interface used to perform ListInvSoustraction math operation
ListLn | ListLn: interface used to perform ListLn math operation
ListLog10 | ListLog10: interface used to perform ListLog10 math operation
ListLog2 | ListLog2: interface used to perform ListLog2 math operation
ListLT | ListLT: interface used to perform ListLT math operation
ListLTOE | ListLTOE: interface used to perform ListLTOE math operation
ListLTOEPass | ListLTOEPass: interface used to perform ListLTOEPass math operation
ListLTPass | ListLTPass: interface used to perform ListLTPass math operation
ListMaximum | ListMaximum: interface used to perform ListMaximum math operation
ListMinimum | ListMinimum: interface used to perform ListMinimum math operation
ListModulo | ListModulo: interface used to perform ListModulo math operation
ListNotEqual | ListNotEqual: interface used to perform ListNotEqual math operation
ListNotEqualPass | ListNotEqualPass: interface used to perform ListNotEqualPass math operation
ListPow | ListPow: interface used to perform ListPow math operation
ListProduit | ListProduit: interface used to perform ListProduit math operation
ListRound | ListRound: interface used to perform ListRound math operation
ListSin | ListSin: interface used to perform ListSin math operation
ListSoustraction | ListSoustraction: interface used to perform ListSoustraction math operation
ListSqrt | ListSqrt: interface used to perform ListSqrt math operation
ListTan | ListTan: interface used to perform ListTan math operation
ListTrunc | ListTrunc: interface used to perform ListTrunc math operation
lop | list operator: perform calculation on lists.
lquant | Quantize a list (aka rounding to the nearest subdivision).
lscale | Scale list.
lslide | smooth a list.
mmmm | min, median, mean and max on a stream of values.
mtof | Convert MIDI to frequency.
urn | random sequence generator (like the standart urn object)
x2dx | extract deltas from a list of values.

Class dx2x
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.dx2x

public class dx2x
extends ej
take a list of intervals and generate a new list with a new origin
See Also:

  x2dx, ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
dx2x() create a dx2x object
dx2x(float f) create a dx2x object with specified origin

Method Summary
void | bang() re-trigger the calculation
void | inlet(float f) specify the origin of the serie
void | inlet(int i) specify the origin of the serie
void | list(double[] args) set the list of intervals, and trigger the calculation
void | set(double[] args) set the list of intervals whithout triggering the calculation

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
dx2x
public dx2x()

  create a dx2x object

dx2x
public dx2x(float f)

  create a dx2x object with specified origin
  Parameters:
    f - specify the origin value

Method Detail
bang
public void bang()

  re-trigger the calculation
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  specify the origin of the serie
  Overrides:
    inlet in class ej
  Parameters:
    i - if the value arrives in the rightmost inlet, it specify the origin.
    if the value arrives in the leftmost inlet, it specify the first interval (not the normal use)

inlet
public void inlet(float f)

  specify the origin of the serie
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the rightmost inlet, it specify the origin.
    if the value arrives in the leftmost inlet, it specify the first interval (not the normal use)

list
public void list(double[] args)

  set the list of intervals, and trigger the calculation
  Parameters:
    args - the list of intervals

set
public void set(double[] args)

  set the list of intervals whithout triggering the calculation
  Parameters:
    args - the list of intervals

Class ej
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
Direct Known Subclasses:

  dx2x, fplay, ftom, getejiesversion, l2buffer, lchange, lclip, ldrunk, linterp, lop, lquant, lscale, lslide, mmmm, mtof, urn, x2dx

abstract public class ej
extends com.cycling74.max.MaxObject
See Also:

  ejies

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
ej() print the ejies copyright message once

Method Summary
protected void | anything(String message, com.cycling74.max.Atom[] args)
protected void | bang()
void | dblclick() display the copyright while you dblclick on a object from the ej package (with version number)
protected String[] | findVersion()
protected void | inlet(float f)
protected void | inlet(int i)
boolean | isNumber(com.cycling74.max.Atom a) test if an Atom is a number
protected void | list(com.cycling74.max.Atom[] a)
void | post(boolean b) redefinition to accept a boolean value as argument
void | post(com.cycling74.max.Atom a) redefinition to accept an atom
void | post(com.cycling74.max.Atom[] a) redefinition to accept an array of Atoms
void | post(double d) redifinition to accept a float/double value
void | post(double[] d) redefinition to accept an array of double
void | post(long l) redefinition to accept a long as argument

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
ej
public ej()

  print the ejies copyright message once

Method Detail
dblclick
public void dblclick()

  display the copyright while you dblclick on a object from the ej package (with version number)
  Overrides:
    dblclick in class com.cycling74.max.MaxObject

findVersion
protected String[] findVersion()

isNumber
public boolean isNumber(com.cycling74.max.Atom a)

  test if an Atom is a number

  Returns:
    `true` if it's a number; `false` otherwise

bang
protected void bang()

  Overrides:
    bang in class com.cycling74.max.MaxObject

inlet
protected void inlet(int i)

  Overrides:
    inlet in class com.cycling74.max.MaxObject

inlet
protected void inlet(float f)

  Overrides:
    inlet in class com.cycling74.max.MaxObject

list
protected void list(com.cycling74.max.Atom[] a)

  Overrides:
    list in class com.cycling74.max.MaxObject

anything
protected void anything(String message,
com.cycling74.max.Atom[] args)

  Overrides:
    anything in class com.cycling74.max.MaxObject

post
public void post(boolean b)

  redefinition to accept a boolean value as argument
  Parameters:
    b - boolean value

post
public void post(long l)

  redefinition to accept a long as argument
  Parameters:
    l - long value

post
public void post(double d)

  redifinition to accept a float/double value
  Parameters:
    d - float/double value

post
public void post(com.cycling74.max.Atom a)

  redefinition to accept an atom
  Parameters:
    a - the atom

post
public void post(com.cycling74.max.Atom[] a)

  redefinition to accept an array of Atoms
  Parameters:
    a - array of atoms

post
public void post(double[] d)

  redefinition to accept an array of double
  Parameters:
    d - array of double

Class fplay
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.fplay

public class fplay
extends ej
Multi function editor (like ej.function.js without the graphics)
See Also:

  "ej.function.js"

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
fplay(com.cycling74.max.Atom[] args) create a fplay object

Method Summary
void | addfunction() Method used to add a bpf to the object, then send the names of the bpf to the dumpout outlet in u(bu)menu format
void | addfunction(String s) Method used to add a bpf to the object, then send the names of the bpf to the dumpout outlet in u(bu)menu format
void | addpoints(double[] val) Fast method to add points
void | all(com.cycling74.max.Atom[] args) Send a message to eveery bpf
void | anything(String s, com.cycling74.max.Atom[] args) Look at any message to know if it's a name of a bpf, or a method's name of this ej.fplay object
void | autodomain() Change the domain depending on the position of the first and last points (lowest and highest x value)
void | autorange() Change the range depending on the position of the first and last points (lowest and highest y value)
void | bang() Output all breakpoints of the current function in line format (initial value followed by a list of deltatime-value pairs)
void | clear() Remove all the points of the current bpf
void | clear(int[] idx) Remove the specified points
void | clearsustain() Remove the sustain state of every point of the current bpf
void | dblclick() Display functions informations when you double click on the object
void | deletefunction(int i) Delete a bpf, then send the names of the bpf to the dumpout outlet in u(bu)menu format
void | deletefunction(String s) Delete a bpf, then send the names of the bpf to the dumpout outlet in u(bu)menu format
void | display(int idx) Change the current bpf to...
void | display(String s) Change the current bpf to...
void | domain(double max) Change the domain (x axis) dimensions
void | domain(double min, double max) Change the domain (x axis) dimensions
void | domainAndRange(com.cycling74.max.Atom[] args) used internally...
void | dump() send all points to the dump outlet as pair of x y
void | dump(String s) Send all points to a receive object as pair of x y
void | dumpmatrix() Send all points to the dump outlet as a Jitter Matrix (1 plane, 2 dim, type float32)
void | dumpmatrix(String s) Send all points to a receive object as a Jitter Matrix (1 plane, 2 dim, type float32)
void | fix(int idx, int state) Prevents the user from moving a point.
void | flip() flip the function on both axis
void | flip_x() flip the function on the x axis
void | flip_y() flip the function on the y axis
void | fswitch() Change the current function to the next one availlable, then send a message to the dumpout outlet.
void | getcurrent() Send the current function name to the dumpout outlet.
void | getdisplay() Send the function index to the dumpout outlet.
void | getdomain() Send the range limits of the current function to the dumpout outlet.
void | getfix() Get the list of the fixed points of the current function to the dumpout outlet.
void | getname() Send the name of the functions to the dumpout outlet (in umenu format).
void | getnbpoints() Send the number of point of the current function to the dumpout outlet.
void | getrange() Send the domain limits of the current function to the dumpout outlet.
void | getsustain() Get the list of the sustained points of the current function to the dumpout outlet.
void | inlet(float f) Send the interpolated y for this x for the current function at left outlet
void | inlet(int i) Send the interpolated y for this x for the current function at left outlet
void | insertfunction() inert a bpf at the current location, then send the names of the bpf to the dumpout outlet in u(bu)menu format
void | insertfunction(String s) insert a bpf at the current location, then send the names of the bpf to the dumpout outlet in u(bu)menu format
void | jit_matrix(String s) Set points from a Jitter matrix.
void | list(float[] args) Add or move a point
void | listdump() Send all points to the dump outlet as an unique list which contains pairs of x y
void | listdump(String s) Send all points to a receive object as an unique list which contains paris of x y
void | name(String name) Change the name of the current bpf.
void | name(String[] names) Change the names of the functions
void | next() The next message continues a list output from the sustain point where the output of the last bang or next message ended.
void | normalize() Normalize all the points of the current function.
void | normalize_x() Normalize points of the current function depending on the domain.
void | normalize_y() Normalize points of the current function depending on the range.
void | nth(int i) Send the y value of the point (index) to the leftmost outlet.
void | range(double min, double max) Change the range (y axis) dimensions
void | read() Display a dialog box to select the file to read.
void | read(String s) Attempt to read a text file
void | redrawoff() Does nothing, it's just here for compatibility reasons...
void | redrawon() Does nothing, it's just here for compatibility reasons...
void | removeduplicate() Delete every contigus points with the same y value.
void | save() used internaly...
void | setdomain(double max) change the domain (change the point's values to fit the domain)
void | setdomain(double min, double max) change the domain (change the point's values to fit the domain)
void | setrange(double min, double max) change the range (change the point's values to fit the range)
void | smooth() Smooth the y values with the neighboors...
void | sustain(int idx, int state) Set the sustain state of the point index
void | sync() Send to the dump outlet every informations to synchronize the contents of this ej.fplay with another object like ej.fplay or ej.function.js.
void | sync(String sendName) Send to a receive object every information to synchronize the contents of this ej.fplay with another object like ej.fplay or ej.function.js.
void | synccurrent() Send to the dump outlet every informations to synchronize the current function.
void | synccurrent(String sendName) Send to a receive object every informations to synchronize the current function.
void | syncfunctions(com.cycling74.max.Atom[] args) Message used for the synchronisation.
void | syncpoints(double[] val) Message used for the synchronisation.
void | unfix() Set the fix state of every points of the current function to false
void | write() Display a dialog box to write the contents of the object as a text file.
void | write(String s) Write the contents of the objects as a text file

Methods inherited from class ej.ej
findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
fplay
public fplay(com.cycling74.max.Atom[] args)

  create a fplay object
  Parameters:
    args - optional an int specify the number of functions

Method Detail
dblclick
public void dblclick()

  Display functions informations when you double click on the object
  Overrides:
    dblclick in class ej

bang
public void bang()

  Output all breakpoints of the current function in line format (initial value followed by a list of deltatime-value pairs)
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Send the interpolated y for this x for the current function at left outlet
  Overrides:
    inlet in class ej
  Parameters:
    i - X value

inlet
public void inlet(float f)

  Send the interpolated y for this x for the current function at left outlet
  Overrides:
    inlet in class ej
  Parameters:
    f - X value

list
public void list(float[] args)

  Add or move a point
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args -
    2 elements (x, y): add the new point at the location x y
    3 elements (idx, x, y): move the point idx to the location x y. idx starts at 0.

anything
public void anything(String s,
com.cycling74.max.Atom[] args)

  Look at any message to know if it's a name of a bpf, or a method's name of this ej.fplay object
  Overrides:
    anything in class ej

all
public void all(com.cycling74.max.Atom[] args)

  Send a message to eveery bpf
  Parameters:
    args - quite any message

addfunction
public void addfunction()

  Method used to add a bpf to the object, then send the names of the bpf to the dumpout outlet in u(bu)menu format

addfunction
public void addfunction(String s)

  Method used to add a bpf to the object, then send the names of the bpf to the dumpout outlet in u(bu)menu format
  Parameters:
    s - name of the bpf

insertfunction
public void insertfunction()

  inert a bpf at the current location, then send the names of the bpf to the dumpout outlet in u(bu)menu format

insertfunction
public void insertfunction(String s)

  insert a bpf at the current location, then send the names of the bpf to the dumpout outlet in u(bu)menu format
  Parameters:
    s - name of the bpf

deletefunction
public void deletefunction(int i)

  Delete a bpf, then send the names of the bpf to the dumpout outlet in u(bu)menu format
  Parameters:
    i - bpf index (start at 0)

deletefunction
public void deletefunction(String s)

  Delete a bpf, then send the names of the bpf to the dumpout outlet in u(bu)menu format
  Parameters:
    s - bfp name

addpoints
public void addpoints(double[] val)

  Fast method to add points
  Parameters:
    val - list of pairs x y

jit_matrix
public void jit_matrix(String s)

  Set points from a Jitter matrix.
  Parameters:
    s - matrix name (~ address)

read
public void read()

  Display a dialog box to select the file to read.

read
public void read(String s)

  Attempt to read a text file
  Parameters:
    s - file name (if in search path), or file path

write
public void write()

  Display a dialog box to write the contents of the object as a text file.

write
public void write(String s)

  Write the contents of the objects as a text file
  Parameters:
    s - file name (if in the search path), file path

fswitch
public void fswitch()

  Change the current function to the next one availlable, then send a message to the dumpout outlet.

display
public void display(int idx)

  Change the current bpf to...
  Parameters:
    idx - index of the new current bpf

display
public void display(String s)

  Change the current bpf to...
  Parameters:
    s - name of the new current bpf

nth
public void nth(int i)

  Send the y value of the point (index) to the leftmost outlet.
  Parameters:
    i - index of the point

next
public void next()

  The next message continues a list output from the sustain point where the output of the last bang or next message ended.

dump
public void dump()

  send all points to the dump outlet as pair of x y

listdump
public void listdump()

  Send all points to the dump outlet as an unique list which contains pairs of x y

dumpmatrix
public void dumpmatrix()

  Send all points to the dump outlet as a Jitter Matrix (1 plane, 2 dim, type float32)

dump
public void dump(String s)

  Send all points to a receive object as pair of x y
  Parameters:
    s - name of the receive object you want to send it to.

listdump
public void listdump(String s)

  Send all points to a receive object as an unique list which contains paris of x y
  Parameters:
    s - name of the receive object you want to send it to.

dumpmatrix
public void dumpmatrix(String s)

  Send all points to a receive object as a Jitter Matrix (1 plane, 2 dim, type float32)
  Parameters:
    s - name of the receive object you want to send it to.

clear
public void clear()

  Remove all the points of the current bpf

clear
public void clear(int[] idx)

  Remove the specified points
  Parameters:
    idx - index (starting at 0) of the points of the current bpf to be deleted

name
public void name(String name)

  Change the name of the current bpf.
  Parameters:
    name - new name for the function

name
public void name(String[] names)

  Change the names of the functions
  Parameters:
    names - names of the functions

domain
public void domain(double max)

  Change the domain (x axis) dimensions
  Parameters:
    max - maximum value (minimum will be 0)

domain
public void domain(double min,
double max)

  Change the domain (x axis) dimensions
  Parameters:
    min - minimum value
    max - maximum value

range
public void range(double min,
double max)

  Change the range (y axis) dimensions
  Parameters:
    min - minimum value
    max - maximum value

setdomain
public void setdomain(double max)

  change the domain (change the point's values to fit the domain)
  Parameters:
    max - domain maximum value (minimum will be 0)

setdomain
public void setdomain(double min,
double max)

  change the domain (change the point's values to fit the domain)
  Parameters:
    min - domain minimum value
    max - domain maximum value

setrange
public void setrange(double min,
double max)

  change the range (change the point's values to fit the range)
  Parameters:
    min - range minimum value
    max - range maximum value

autodomain
public void autodomain()

  Change the domain depending on the position of the first and last points (lowest and highest x value)

autorange
public void autorange()

  Change the range depending on the position of the first and last points (lowest and highest y value)

normalize
public void normalize()

  Normalize all the points of the current function. This will strech the points to Òfill" the domain and the range.

normalize_x
public void normalize_x()

  Normalize points of the current function depending on the domain. This will strech the points to Òfill" the domain.

normalize_y
public void normalize_y()

  Normalize points of the current function depending on the range. This will strech the points to Òfill" the range.

flip
public void flip()

  flip the function on both axis

flip_x
public void flip_x()

  flip the function on the x axis

flip_y
public void flip_y()

  flip the function on the y axis

removeduplicate
public void removeduplicate()

  Delete every contigus points with the same y value.

smooth
public void smooth()

  Smooth the y values with the neighboors...

sustain
public void sustain(int idx,
int state)

  Set the sustain state of the point index
  Parameters:
    idx - number of the point (starting at 0)
    state - 1 if the point is sustained, 0 otherwise.

fix
public void fix(int idx,
int state)

  Prevents the user from moving a point.
  Parameters:
    idx - index of the point (starting at 0)
    state - 1 for fix, 0 for unfix

getname
public void getname()

  Send the name of the functions to the dumpout outlet (in umenu format).

getdomain
public void getdomain()

  Send the range limits of the current function to the dumpout outlet.

getrange
public void getrange()

  Send the domain limits of the current function to the dumpout outlet.

getcurrent
public void getcurrent()

  Send the current function name to the dumpout outlet.

getdisplay
public void getdisplay()

  Send the function index to the dumpout outlet.

getsustain
public void getsustain()

  Get the list of the sustained points of the current function to the dumpout outlet.

getfix
public void getfix()

  Get the list of the fixed points of the current function to the dumpout outlet.

clearsustain
public void clearsustain()

  Remove the sustain state of every point of the current bpf

unfix
public void unfix()

  Set the fix state of every points of the current function to false

getnbpoints
public void getnbpoints()

  Send the number of point of the current function to the dumpout outlet.

sync
public void sync()

  Send to the dump outlet every informations to synchronize the contents of this ej.fplay with another object like ej.fplay or ej.function.js.

synccurrent
public void synccurrent()

  Send to the dump outlet every informations to synchronize the current function.

sync
public void sync(String sendName)

  Send to a receive object every information to synchronize the contents of this ej.fplay with another object like ej.fplay or ej.function.js.
  Parameters:
    sendName - name of the receive object you'll send the values to

synccurrent
public void synccurrent(String sendName)

  Send to a receive object every informations to synchronize the current function.
  Parameters:
    sendName - name of the receive object you'll send the values to

syncfunctions
public void syncfunctions(com.cycling74.max.Atom[] args)

  Message used for the synchronisation.
  Parameters:
    args - [function index] [function name] domain and range

syncpoints
public void syncpoints(double[] val)

  Message used for the synchronisation.
  Parameters:
    val - [function index] [val_x val_y state]*

save
public void save()

  used internaly... to store parameters in the patch.
  Overrides:
    save in class com.cycling74.max.MaxObject

domainAndRange
public void domainAndRange(com.cycling74.max.Atom[] args)

  used internally... don't use it!

redrawon
public void redrawon()

  Does nothing, it's just here for compatibility reasons...

redrawoff
public void redrawoff()

  Does nothing, it's just here for compatibility reasons...

Class ftom
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.ftom

public class ftom
extends ej
Convert frequency to midi. This works for list, and allows you to define tuning and pitch reference.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
ftom() create a ftom object with default parameters (tuning 440 Hz, pitch reference 69)
ftom(float tuning) create a ftom object with tuning specified as argument (pitch reference will be the default 69 value)
ftom(float tuning, int pitch_reference) create a ftom object with specified tuning and pitch reference.

Method Summary
void | inlet(float f) Calculate the result.
void | inlet(int i) Calculate the result.
void | list(float[] list) Calculate the result of the list.

Methods inherited from class ej.ej
anything, bang, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
ftom
public ftom()

  create a ftom object with default parameters (tuning 440 Hz, pitch reference 69)

ftom
public ftom(float tuning)

  create a ftom object with tuning specified as argument (pitch reference will be the default 69 value)
  Parameters:
    tuning - tuning reference (Hz)

ftom
public ftom(float tuning,
int pitch_reference)

  create a ftom object with specified tuning and pitch reference.
  Parameters:
    tuning - tuning reference (Hz)
    pitch_reference - pitche reference (MIDI note)

Method Detail
inlet
public void inlet(int i)

  Calculate the result.
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Calculate the result.
  Overrides:
    inlet in class ej

list
public void list(float[] list)

  Calculate the result of the list.
  Overrides:
    list in class com.cycling74.max.MaxObject

Class getejiesversion
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.getejiesversion

public class getejiesversion
extends ej
Returns the current installed version and the current available version (Internet connection).
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
getejiesversion() create a getejiesversion object

Method Summary
void | bang() returns installed version number and current available version

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
getejiesversion
public getejiesversion()

  create a getejiesversion object

Method Detail
bang
public void bang()

  returns installed version number and current available version
  Overrides:
    bang in class ej

Class l2buffer
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.l2buffer

public class l2buffer
extends ej
store a list into a buffer~
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
l2buffer(com.cycling74.max.Atom[] args) create a l2buffer object

Method Summary
void | dblclick() Post some information about the object to the Max window when you dble clik on the object.
void | inlet(int i) When coming form the right inlet, set the channel index.
void | list(float[] args) Store the list to the buffer.
void | set(String s) The message set followed by a symbol specify the name of the buffer~.
void | set(String s, int i) Set the buffer~ and the channel at once.

Methods inherited from class ej.ej
anything, bang, findVersion, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
l2buffer
public l2buffer(com.cycling74.max.Atom[] args)

  create a l2buffer object
  Parameters:
    args - 1st argument is the name of the buffer~ 2nd argument is the channel index (starting at 1)

Method Detail
dblclick
public void dblclick()

  Post some information about the object to the Max window when you dble clik on the object.
  Overrides:
    dblclick in class ej

list
public void list(float[] args)

  Store the list to the buffer.
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - the list

inlet
public void inlet(int i)

  When coming form the right inlet, set the channel index.
  Overrides:
    inlet in class ej
  Parameters:
    i - channel index (starting at 1)

set
public void set(String s)

  The message set followed by a symbol specify the name of the buffer~.
  Parameters:
    s - name of the buffer~

set
public void set(String s,
int i)

  Set the buffer~ and the channel at once.
  Parameters:
    s - name of the buffer~
    i - channel index (starting at 1)

Class lchange
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lchange

public class lchange
extends ej
aware of list change
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lchange(com.cycling74.max.Atom[] mode) create a lchange object

Method Summary
void | anything(String s, com.cycling74.max.Atom[] args) Anything to be test, can be symbol or list...
void | inlet(float f) Float to be tested
void | inlet(int i) Int to be tested
void | set(com.cycling74.max.Atom[] a) Replace the stored "anything" without triggering the output.

Methods inherited from class ej.ej
bang, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
lchange
public lchange(com.cycling74.max.Atom[] mode)

  create a lchange object
  Parameters:
    mode - attribute to set the lchange's behavior (thru, int, bang)

Method Detail
inlet
public void inlet(int i)

  Int to be tested
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Float to be tested
  Overrides:
    inlet in class ej

anything
public void anything(String s,
com.cycling74.max.Atom[] args)

  Anything to be test, can be symbol or list...
  Overrides:
    anything in class ej
  Parameters:
    s - messagename
    args - arguments (optional)

set
public void set(com.cycling74.max.Atom[] a)

  Replace the stored "anything" without triggering the output.

Class lclip
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lclip

public class lclip
extends ej
clip the values of a list
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lclip(float clipMin, float clipMax) Create a lclip object.

Method Summary
void | bang() Re-Trigger the calculation.
void | inlet(float f) If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))
void | inlet(int i) If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))
void | list(float[] args) clip the list.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
lclip
public lclip(float clipMin,
float clipMax)

  Create a lclip object. The arguments sets the limits.
  Parameters:
    clipMin - define the lowest value of the resulting list
    clipMax - define the highest value of the resulting list

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))

  If the value arrives in the middle inlet : set the lowest value

  If the value arrives in the rightmost inlet : set the highest value

  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  If the value arrives in the leftmost inlet : clip the int/float value ( for that matter you may have to try the standart `change` object, which works quite well in fact :-))

  If the value arrives in the middle inlet : set the lowest value

  If the value arrives in the rightmost inlet : set the highest value

  Overrides:
    inlet in class ej
  Parameters:
    f - the value

list
public void list(float[] args)

  clip the list.
  Overrides:
    list in class com.cycling74.max.MaxObject

Class ldrunk
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.ldrunk

public class ldrunk
extends ej
give beers to a list...
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
ldrunk(float maxRange, float stepSize) Create a ldrunk object with specified maximum and step.
ldrunk(float minRange, float maxRange, float stepSize) Create a ldrunk object with specified minimum, maximum and step.
ldrunk(float minRange, float maxRange, float stepSize, float proba) Create a ldrunk object with specified minimum, maximum, step and probapility.

Method Summary
void | bang() Trigger the randomisation.
void | inlet(float f) If the floating point value arrives in the left inlet, try using drunk instead...
void | inlet(int i) If the integer point value arrives in the left inlet, try using drunk instead...
void | list(float[] args) List to be drunked.
void | notifyDeleted() used internal to free the clock.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
ldrunk
public ldrunk(float maxRange,
float stepSize)

  Create a ldrunk object with specified maximum and step.
  Parameters:
    maxRange - define the maximum of the range
    stepSize - define the step (randomness will be ± step/2)

ldrunk
public ldrunk(float minRange,
float maxRange,
float stepSize)

  Create a ldrunk object with specified minimum, maximum and step.
  Parameters:
    minRange - define the minimum of the range
    maxRange - define the maximum of the range
    stepSize - define the step (randomness will be ± step/2)

ldrunk
public ldrunk(float minRange,
float maxRange,
float stepSize,
float proba)

  Create a ldrunk object with specified minimum, maximum, step and probapility.
  Parameters:
    minRange - define the minimum of the range
    maxRange - define the maximum of the range
    stepSize - define the step (randomness will be ± step/2)
    proba - probability of randomness (percentage)

Method Detail
notifyDeleted
public void notifyDeleted()

  used internal to free the clock.
  Overrides:
    notifyDeleted in class com.cycling74.max.MaxObject

bang
public void bang()

  Trigger the randomisation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  If the integer point value arrives in the left inlet, try using drunk instead...

  If the integer point value arrives in the second inlet: set the minimum of the range

  If the integer point value arrives in the third inlet: set the maximum of the range

  If the integer point value arrives in the fourth inlet: set the step size

  If the integer point value arrives in the fifth inlet: set the probability

  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  If the floating point value arrives in the left inlet, try using drunk instead...

  If the floating point value arrives in the second inlet: set the minimum of the range

  If the floating point value arrives in the third inlet: set the maximum of the range

  If the floating point value arrives in the fourth inlet: set the step size

  If the floating point value arrives in the fifth inlet: set the probability

  Overrides:
    inlet in class ej

list
public void list(float[] args)

  List to be drunked.
  Overrides:
    list in class com.cycling74.max.MaxObject

Class linterp
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.linterp

public class linterp
extends ej
list interpolator
See Also:

  ej, lop

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
linterp(com.cycling74.max.Atom[] args) Create a linterp object.

Method Summary
void | bang() Re-Trigger the calculation.
void | inlet(float args) Define "where" we are in the interpolation (mode 1D only).
void | list(float[] args) If the list arrives from the left most inlet: define "where" we are in the interpolation.

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
linterp
public linterp(com.cycling74.max.Atom[] args)

  Create a linterp object.
  Parameters:
    args - none or "quad", "cube", "weight" specify linterp behavior

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(float args)

  Define "where" we are in the interpolation (mode 1D only).
  Overrides:
    inlet in class ej

list
public void list(float[] args)

  If the list arrives from the left most inlet: define "where" we are in the interpolation.

  else set the list to be interpolated.

  Overrides:
    list in class com.cycling74.max.MaxObject

Class ListAbs
ej
java.lang.Object
ej.ListAbs
All Implemented Interfaces:

  ListOperator

public class ListAbs
extends Object
implements ListOperator
ListAbs: interface used to perform ListAbs math operation
See Also:

  lop

Constructor Summary
ListAbs()

Method Summary
float[] | operate(float a, float[] b) perform the ListAbs math operation
float[] | operate(float[] a, float b) perform the ListAbs math operation
float[] | operate(float[] a, float[] b) perform the ListAbs math operation

Constructor Detail
ListAbs
public ListAbs()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAbs math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAbs math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAbs math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAbsDiff
ej
java.lang.Object
ej.ListAbsDiff
All Implemented Interfaces:

  ListOperator

public class ListAbsDiff
extends Object
implements ListOperator
ListAbsDiff: interface used to perform ListAbsDiff math operation
See Also:

  lop

Constructor Summary
ListAbsDiff()

Method Summary
float[] | operate(float a, float[] b) perform the ListAbsDiff math operation
float[] | operate(float[] a, float b) perform the ListAbsDiff math operation
float[] | operate(float[] a, float[] b) perform the ListAbsDiff math operation

Constructor Detail
ListAbsDiff
public ListAbsDiff()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAbsDiff math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAbsDiff math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAbsDiff math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAcos
ej
java.lang.Object
ej.ListAcos
All Implemented Interfaces:

  ListOperator

public class ListAcos
extends Object
implements ListOperator
ListAcos: interface used to perform ListAcos math operation
See Also:

  lop

Constructor Summary
ListAcos()

Method Summary
float[] | operate(float a, float[] b) perform the ListAcos math operation
float[] | operate(float[] a, float b) perform the ListAcos math operation
float[] | operate(float[] a, float[] b) perform the ListAcos math operation

Constructor Detail
ListAcos
public ListAcos()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAcos math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAcos math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAcos math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAddition
ej
java.lang.Object
ej.ListAddition
All Implemented Interfaces:

  ListOperator

public class ListAddition
extends Object
implements ListOperator
ListAddition: interface used to perform ListAddition math operation
See Also:

  lop

Constructor Summary
ListAddition()

Method Summary
float[] | operate(float a, float[] b) perform the ListAddition math operation
float[] | operate(float[] a, float b) perform the ListAddition math operation
float[] | operate(float[] a, float[] b) perform the ListAddition math operation

Constructor Detail
ListAddition
public ListAddition()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAddition math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAddition math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAddition math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAsin
ej
java.lang.Object
ej.ListAsin
All Implemented Interfaces:

  ListOperator

public class ListAsin
extends Object
implements ListOperator
ListAsin: interface used to perform ListAsin math operation
See Also:

  lop

Constructor Summary
ListAsin()

Method Summary
float[] | operate(float a, float[] b) perform the ListAsin math operation
float[] | operate(float[] a, float b) perform the ListAsin math operation
float[] | operate(float[] a, float[] b) perform the ListAsin math operation

Constructor Detail
ListAsin
public ListAsin()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAsin math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAsin math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAsin math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAtan
ej
java.lang.Object
ej.ListAtan
All Implemented Interfaces:

  ListOperator

public class ListAtan
extends Object
implements ListOperator
ListAtan: interface used to perform ListAtan math operation
See Also:

  lop

Constructor Summary
ListAtan()

Method Summary
float[] | operate(float a, float[] b) perform the ListAtan math operation
float[] | operate(float[] a, float b) perform the ListAtan math operation
float[] | operate(float[] a, float[] b) perform the ListAtan math operation

Constructor Detail
ListAtan
public ListAtan()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAtan math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAtan math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAtan math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAtan2
ej
java.lang.Object
ej.ListAtan2
All Implemented Interfaces:

  ListOperator

public class ListAtan2
extends Object
implements ListOperator
ListAtan2: interface used to perform ListAtan2 math operation
See Also:

  lop

Constructor Summary
ListAtan2()

Method Summary
float[] | operate(float a, float[] b) perform the ListAtan2 math operation
float[] | operate(float[] a, float b) perform the ListAtan2 math operation
float[] | operate(float[] a, float[] b) perform the ListAtan2 math operation

Constructor Detail
ListAtan2
public ListAtan2()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAtan2 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAtan2 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAtan2 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAtodb
ej
java.lang.Object
ej.ListAtodb
All Implemented Interfaces:

  ListOperator

public class ListAtodb
extends Object
implements ListOperator
ListAtodb: interface used to perform ListAtodb math operation
See Also:

  lop

Constructor Summary
ListAtodb()

Method Summary
float[] | operate(float a, float[] b) perform the ListAtodb math operation
float[] | operate(float[] a, float b) perform the ListAtodb math operation
float[] | operate(float[] a, float[] b) perform the ListAtodb math operation

Constructor Detail
ListAtodb
public ListAtodb()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAtodb math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAtodb math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAtodb math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListAverage
ej
java.lang.Object
ej.ListAverage
All Implemented Interfaces:

  ListOperator

public class ListAverage
extends Object
implements ListOperator
ListAverage: interface used to perform ListAverage math operation
See Also:

  lop

Constructor Summary
ListAverage()

Method Summary
float[] | operate(float a, float[] b) perform the ListAverage math operation
float[] | operate(float[] a, float b) perform the ListAverage math operation
float[] | operate(float[] a, float[] b) perform the ListAverage math operation

Constructor Detail
ListAverage
public ListAverage()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListAverage math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListAverage math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListAverage math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListCeil
ej
java.lang.Object
ej.ListCeil
All Implemented Interfaces:

  ListOperator

public class ListCeil
extends Object
implements ListOperator
ListCeil: interface used to perform ListCeil math operation
See Also:

  lop

Constructor Summary
ListCeil()

Method Summary
float[] | operate(float a, float[] b) perform the ListCeil math operation
float[] | operate(float[] a, float b) perform the ListCeil math operation
float[] | operate(float[] a, float[] b) perform the ListCeil math operation

Constructor Detail
ListCeil
public ListCeil()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListCeil math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListCeil math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListCeil math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListCos
ej
java.lang.Object
ej.ListCos
All Implemented Interfaces:

  ListOperator

public class ListCos
extends Object
implements ListOperator
ListCos: interface used to perform ListCos math operation
See Also:

  lop

Constructor Summary
ListCos()

Method Summary
float[] | operate(float a, float[] b) perform the ListCos math operation
float[] | operate(float[] a, float b) perform the ListCos math operation
float[] | operate(float[] a, float[] b) perform the ListCos math operation

Constructor Detail
ListCos
public ListCos()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListCos math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListCos math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListCos math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListDbtoa
ej
java.lang.Object
ej.ListDbtoa
All Implemented Interfaces:

  ListOperator

public class ListDbtoa
extends Object
implements ListOperator
ListDbtoa: interface used to perform ListDbtoa math operation
See Also:

  lop

Constructor Summary
ListDbtoa()

Method Summary
float[] | operate(float a, float[] b) perform the ListDbtoa math operation
float[] | operate(float[] a, float b) perform the ListDbtoa math operation
float[] | operate(float[] a, float[] b) perform the ListDbtoa math operation

Constructor Detail
ListDbtoa
public ListDbtoa()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListDbtoa math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListDbtoa math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListDbtoa math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListDivision
ej
java.lang.Object
ej.ListDivision
All Implemented Interfaces:

  ListOperator

public class ListDivision
extends Object
implements ListOperator
ListDivision: interface used to perform ListDivision math operation
See Also:

  lop

Constructor Summary
ListDivision()

Method Summary
float[] | operate(float a, float[] b) perform the ListDivision math operation
float[] | operate(float[] a, float b) perform the ListDivision math operation
float[] | operate(float[] a, float[] b) perform the ListDivision math operation

Constructor Detail
ListDivision
public ListDivision()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListDivision math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListDivision math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListDivision math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListEqual
ej
java.lang.Object
ej.ListEqual
All Implemented Interfaces:

  ListOperator

public class ListEqual
extends Object
implements ListOperator
ListEqual: interface used to perform ListEqual math operation
See Also:

  lop

Constructor Summary
ListEqual()

Method Summary
float[] | operate(float a, float[] b) perform the ListEqual math operation
float[] | operate(float[] a, float b) perform the ListEqual math operation
float[] | operate(float[] a, float[] b) perform the ListEqual math operation

Constructor Detail
ListEqual
public ListEqual()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListEqual math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListEqual math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListEqual math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListEqualPass
ej
java.lang.Object
ej.ListEqualPass
All Implemented Interfaces:

  ListOperator

public class ListEqualPass
extends Object
implements ListOperator
ListEqualPass: interface used to perform ListEqualPass math operation
See Also:

  lop

Constructor Summary
ListEqualPass()

Method Summary
float[] | operate(float a, float[] b) perform the ListEqualPass math operation
float[] | operate(float[] a, float b) perform the ListEqualPass math operation
float[] | operate(float[] a, float[] b) perform the ListEqualPass math operation

Constructor Detail
ListEqualPass
public ListEqualPass()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListEqualPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListEqualPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListEqualPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListExp
ej
java.lang.Object
ej.ListExp
All Implemented Interfaces:

  ListOperator

public class ListExp
extends Object
implements ListOperator
ListExp: interface used to perform ListExp math operation
See Also:

  lop

Constructor Summary
ListExp()

Method Summary
float[] | operate(float a, float[] b) perform the ListExp math operation
float[] | operate(float[] a, float b) perform the ListExp math operation
float[] | operate(float[] a, float[] b) perform the ListExp math operation

Constructor Detail
ListExp
public ListExp()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListExp math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListExp math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListExp math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListFloor
ej
java.lang.Object
ej.ListFloor
All Implemented Interfaces:

  ListOperator

public class ListFloor
extends Object
implements ListOperator
ListFloor: interface used to perform ListFloor math operation
See Also:

  lop

Constructor Summary
ListFloor()

Method Summary
float[] | operate(float a, float[] b) perform the ListFloor math operation
float[] | operate(float[] a, float b) perform the ListFloor math operation
float[] | operate(float[] a, float[] b) perform the ListFloor math operation

Constructor Detail
ListFloor
public ListFloor()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListFloor math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListFloor math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListFloor math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListGT
ej
java.lang.Object
ej.ListGT
All Implemented Interfaces:

  ListOperator

public class ListGT
extends Object
implements ListOperator
ListGT: interface used to perform ListGT math operation
See Also:

  lop

Constructor Summary
ListGT()

Method Summary
float[] | operate(float a, float[] b) perform the ListGT math operation
float[] | operate(float[] a, float b) perform the ListGT math operation
float[] | operate(float[] a, float[] b) perform the ListGT math operation

Constructor Detail
ListGT
public ListGT()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListGT math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListGT math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListGT math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListGTOE
ej
java.lang.Object
ej.ListGTOE
All Implemented Interfaces:

  ListOperator

public class ListGTOE
extends Object
implements ListOperator
ListGTOE: interface used to perform ListGTOE math operation
See Also:

  lop

Constructor Summary
ListGTOE()

Method Summary
float[] | operate(float a, float[] b) perform the ListGTOE math operation
float[] | operate(float[] a, float b) perform the ListGTOE math operation
float[] | operate(float[] a, float[] b) perform the ListGTOE math operation

Constructor Detail
ListGTOE
public ListGTOE()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListGTOE math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListGTOE math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListGTOE math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListGTOEPass
ej
java.lang.Object
ej.ListGTOEPass
All Implemented Interfaces:

  ListOperator

public class ListGTOEPass
extends Object
implements ListOperator
ListGTOEPass: interface used to perform ListGTOEPass math operation
See Also:

  lop

Constructor Summary
ListGTOEPass()

Method Summary
float[] | operate(float a, float[] b) perform the ListGTOEPass math operation
float[] | operate(float[] a, float b) perform the ListGTOEPass math operation
float[] | operate(float[] a, float[] b) perform the ListGTOEPass math operation

Constructor Detail
ListGTOEPass
public ListGTOEPass()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListGTOEPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListGTOEPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListGTOEPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListGTPass
ej
java.lang.Object
ej.ListGTPass
All Implemented Interfaces:

  ListOperator

public class ListGTPass
extends Object
implements ListOperator
ListGTPass: interface used to perform ListGTPass math operation
See Also:

  lop

Constructor Summary
ListGTPass()

Method Summary
float[] | operate(float a, float[] b) perform the ListGTPass math operation
float[] | operate(float[] a, float b) perform the ListGTPass math operation
float[] | operate(float[] a, float[] b) perform the ListGTPass math operation

Constructor Detail
ListGTPass
public ListGTPass()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListGTPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListGTPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListGTPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListIntDiv
ej
java.lang.Object
ej.ListIntDiv
All Implemented Interfaces:

  ListOperator

public class ListIntDiv
extends Object
implements ListOperator
ListIntDiv: interface used to perform ListIntDiv math operation
See Also:

  lop

Constructor Summary
ListIntDiv()

Method Summary
float[] | operate(float a, float[] b) perform the ListIntDiv math operation
float[] | operate(float[] a, float b) perform the ListIntDiv math operation
float[] | operate(float[] a, float[] b) perform the ListIntDiv math operation

Constructor Detail
ListIntDiv
public ListIntDiv()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListIntDiv math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListIntDiv math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListIntDiv math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListInvDivision
ej
java.lang.Object
ej.ListInvDivision
All Implemented Interfaces:

  ListOperator

public class ListInvDivision
extends Object
implements ListOperator
ListInvDivision: interface used to perform ListInvDivision math operation
See Also:

  lop

Constructor Summary
ListInvDivision()

Method Summary
float[] | operate(float a, float[] b) perform the ListInvDivision math operation
float[] | operate(float[] a, float b) perform the ListInvDivision math operation
float[] | operate(float[] a, float[] b) perform the ListInvDivision math operation

Constructor Detail
ListInvDivision
public ListInvDivision()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListInvDivision math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListInvDivision math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListInvDivision math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListInvIntDiv
ej
java.lang.Object
ej.ListInvIntDiv
All Implemented Interfaces:

  ListOperator

public class ListInvIntDiv
extends Object
implements ListOperator
ListInvIntDiv: interface used to perform ListInvIntDiv math operation
See Also:

  lop

Constructor Summary
ListInvIntDiv()

Method Summary
float[] | operate(float a, float[] b) perform the ListInvIntDiv math operation
float[] | operate(float[] a, float b) perform the ListInvIntDiv math operation
float[] | operate(float[] a, float[] b) perform the ListInvIntDiv math operation

Constructor Detail
ListInvIntDiv
public ListInvIntDiv()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListInvIntDiv math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListInvIntDiv math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListInvIntDiv math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListInvModulo
ej
java.lang.Object
ej.ListInvModulo
All Implemented Interfaces:

  ListOperator

public class ListInvModulo
extends Object
implements ListOperator
ListInvModulo: interface used to perform ListInvModulo math operation
See Also:

  lop

Constructor Summary
ListInvModulo()

Method Summary
float[] | operate(float a, float[] b) perform the ListInvModulo math operation
float[] | operate(float[] a, float b) perform the ListInvModulo math operation
float[] | operate(float[] a, float[] b) perform the ListInvModulo math operation

Constructor Detail
ListInvModulo
public ListInvModulo()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListInvModulo math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListInvModulo math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListInvModulo math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListInvSoustraction
ej
java.lang.Object
ej.ListInvSoustraction
All Implemented Interfaces:

  ListOperator

public class ListInvSoustraction
extends Object
implements ListOperator
ListInvSoustraction: interface used to perform ListInvSoustraction math operation
See Also:

  lop

Constructor Summary
ListInvSoustraction()

Method Summary
float[] | operate(float a, float[] b) perform the ListInvSoustraction math operation
float[] | operate(float[] a, float b) perform the ListInvSoustraction math operation
float[] | operate(float[] a, float[] b) perform the ListInvSoustraction math operation

Constructor Detail
ListInvSoustraction
public ListInvSoustraction()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListInvSoustraction math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListInvSoustraction math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListInvSoustraction math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLn
ej
java.lang.Object
ej.ListLn
All Implemented Interfaces:

  ListOperator

public class ListLn
extends Object
implements ListOperator
ListLn: interface used to perform ListLn math operation
See Also:

  lop

Constructor Summary
ListLn()

Method Summary
float[] | operate(float a, float[] b) perform the ListLn math operation
float[] | operate(float[] a, float b) perform the ListLn math operation
float[] | operate(float[] a, float[] b) perform the ListLn math operation

Constructor Detail
ListLn
public ListLn()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLn math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLn math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLn math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLog10
ej
java.lang.Object
ej.ListLog10
All Implemented Interfaces:

  ListOperator

public class ListLog10
extends Object
implements ListOperator
ListLog10: interface used to perform ListLog10 math operation
See Also:

  lop

Constructor Summary
ListLog10()

Method Summary
float[] | operate(float a, float[] b) perform the ListLog10 math operation
float[] | operate(float[] a, float b) perform the ListLog10 math operation
float[] | operate(float[] a, float[] b) perform the ListLog10 math operation

Constructor Detail
ListLog10
public ListLog10()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLog10 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLog10 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLog10 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLog2
ej
java.lang.Object
ej.ListLog2
All Implemented Interfaces:

  ListOperator

public class ListLog2
extends Object
implements ListOperator
ListLog2: interface used to perform ListLog2 math operation
See Also:

  lop

Constructor Summary
ListLog2()

Method Summary
float[] | operate(float a, float[] b) perform the ListLog2 math operation
float[] | operate(float[] a, float b) perform the ListLog2 math operation
float[] | operate(float[] a, float[] b) perform the ListLog2 math operation

Constructor Detail
ListLog2
public ListLog2()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLog2 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLog2 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLog2 math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLT
ej
java.lang.Object
ej.ListLT
All Implemented Interfaces:

  ListOperator

public class ListLT
extends Object
implements ListOperator
ListLT: interface used to perform ListLT math operation
See Also:

  lop

Constructor Summary
ListLT()

Method Summary
float[] | operate(float a, float[] b) perform the ListLT math operation
float[] | operate(float[] a, float b) perform the ListLT math operation
float[] | operate(float[] a, float[] b) perform the ListLT math operation

Constructor Detail
ListLT
public ListLT()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLT math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLT math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLT math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLTOE
ej
java.lang.Object
ej.ListLTOE
All Implemented Interfaces:

  ListOperator

public class ListLTOE
extends Object
implements ListOperator
ListLTOE: interface used to perform ListLTOE math operation
See Also:

  lop

Constructor Summary
ListLTOE()

Method Summary
float[] | operate(float a, float[] b) perform the ListLTOE math operation
float[] | operate(float[] a, float b) perform the ListLTOE math operation
float[] | operate(float[] a, float[] b) perform the ListLTOE math operation

Constructor Detail
ListLTOE
public ListLTOE()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLTOE math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLTOE math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLTOE math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLTOEPass
ej
java.lang.Object
ej.ListLTOEPass
All Implemented Interfaces:

  ListOperator

public class ListLTOEPass
extends Object
implements ListOperator
ListLTOEPass: interface used to perform ListLTOEPass math operation
See Also:

  lop

Constructor Summary
ListLTOEPass()

Method Summary
float[] | operate(float a, float[] b) perform the ListLTOEPass math operation
float[] | operate(float[] a, float b) perform the ListLTOEPass math operation
float[] | operate(float[] a, float[] b) perform the ListLTOEPass math operation

Constructor Detail
ListLTOEPass
public ListLTOEPass()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLTOEPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLTOEPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLTOEPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListLTPass
ej
java.lang.Object
ej.ListLTPass
All Implemented Interfaces:

  ListOperator

public class ListLTPass
extends Object
implements ListOperator
ListLTPass: interface used to perform ListLTPass math operation
See Also:

  lop

Constructor Summary
ListLTPass()

Method Summary
float[] | operate(float a, float[] b) perform the ListLTPass math operation
float[] | operate(float[] a, float b) perform the ListLTPass math operation
float[] | operate(float[] a, float[] b) perform the ListLTPass math operation

Constructor Detail
ListLTPass
public ListLTPass()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListLTPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListLTPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListLTPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListMaximum
ej
java.lang.Object
ej.ListMaximum
All Implemented Interfaces:

  ListOperator

public class ListMaximum
extends Object
implements ListOperator
ListMaximum: interface used to perform ListMaximum math operation
See Also:

  lop

Constructor Summary
ListMaximum()

Method Summary
float[] | operate(float a, float[] b) perform the ListMaximum math operation
float[] | operate(float[] a, float b) perform the ListMaximum math operation
float[] | operate(float[] a, float[] b) perform the ListMaximum math operation

Constructor Detail
ListMaximum
public ListMaximum()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListMaximum math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListMaximum math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListMaximum math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListMinimum
ej
java.lang.Object
ej.ListMinimum
All Implemented Interfaces:

  ListOperator

public class ListMinimum
extends Object
implements ListOperator
ListMinimum: interface used to perform ListMinimum math operation
See Also:

  lop

Constructor Summary
ListMinimum()

Method Summary
float[] | operate(float a, float[] b) perform the ListMinimum math operation
float[] | operate(float[] a, float b) perform the ListMinimum math operation
float[] | operate(float[] a, float[] b) perform the ListMinimum math operation

Constructor Detail
ListMinimum
public ListMinimum()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListMinimum math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListMinimum math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListMinimum math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListModulo
ej
java.lang.Object
ej.ListModulo
All Implemented Interfaces:

  ListOperator

public class ListModulo
extends Object
implements ListOperator
ListModulo: interface used to perform ListModulo math operation
See Also:

  lop

Constructor Summary
ListModulo()

Method Summary
float[] | operate(float a, float[] b) perform the ListModulo math operation
float[] | operate(float[] a, float b) perform the ListModulo math operation
float[] | operate(float[] a, float[] b) perform the ListModulo math operation

Constructor Detail
ListModulo
public ListModulo()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListModulo math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListModulo math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListModulo math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListNotEqual
ej
java.lang.Object
ej.ListNotEqual
All Implemented Interfaces:

  ListOperator

public class ListNotEqual
extends Object
implements ListOperator
ListNotEqual: interface used to perform ListNotEqual math operation
See Also:

  lop

Constructor Summary
ListNotEqual()

Method Summary
float[] | operate(float a, float[] b) perform the ListNotEqual math operation
float[] | operate(float[] a, float b) perform the ListNotEqual math operation
float[] | operate(float[] a, float[] b) perform the ListNotEqual math operation

Constructor Detail
ListNotEqual
public ListNotEqual()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListNotEqual math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListNotEqual math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListNotEqual math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListNotEqualPass
ej
java.lang.Object
ej.ListNotEqualPass
All Implemented Interfaces:

  ListOperator

public class ListNotEqualPass
extends Object
implements ListOperator
ListNotEqualPass: interface used to perform ListNotEqualPass math operation
See Also:

  lop

Constructor Summary
ListNotEqualPass()

Method Summary
float[] | operate(float a, float[] b) perform the ListNotEqualPass math operation
float[] | operate(float[] a, float b) perform the ListNotEqualPass math operation
float[] | operate(float[] a, float[] b) perform the ListNotEqualPass math operation

Constructor Detail
ListNotEqualPass
public ListNotEqualPass()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListNotEqualPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListNotEqualPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListNotEqualPass math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Interface ListOperator
ej
All Known Implementing Classes:

  ListAbs, ListAbsDiff, ListAcos, ListAddition, ListAsin, ListAtan, ListAtan2, ListAtodb, ListAverage, ListCeil, ListCos, ListDbtoa, ListDivision, ListEqual, ListEqualPass, ListExp, ListFloor, ListGT, ListGTOE, ListGTOEPass, ListGTPass, ListIntDiv, ListInvDivision, ListInvIntDiv, ListInvModulo, ListInvSoustraction, ListLn, ListLog10, ListLog2, ListLT, ListLTOE, ListLTOEPass, ListLTPass, ListMaximum, ListMinimum, ListModulo, ListNotEqual, ListNotEqualPass, ListPow, ListProduit, ListRound, ListSin, ListSoustraction, ListSqrt, ListTan, ListTrunc

public interface ListOperator
interface used to perform any math operation
See Also:

  lop, ej

Method Summary
float[] | operate(float a, float[] b) perform some math operations
float[] | operate(float[] a, float b) perform some math operations
float[] | operate(float[] a, float[] b) perform some math operations

Method Detail
operate
float[] operate(float[] a,
float[] b)

  perform some math operations
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
float[] operate(float[] a,
float b)

  perform some math operations
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
float[] operate(float a,
float[] b)

  perform some math operations
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListPow
ej
java.lang.Object
ej.ListPow
All Implemented Interfaces:

  ListOperator

public class ListPow
extends Object
implements ListOperator
ListPow: interface used to perform ListPow math operation
See Also:

  lop

Constructor Summary
ListPow()

Method Summary
float[] | operate(float a, float[] b) perform the ListPow math operation
float[] | operate(float[] a, float b) perform the ListPow math operation
float[] | operate(float[] a, float[] b) perform the ListPow math operation

Constructor Detail
ListPow
public ListPow()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListPow math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListPow math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListPow math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListProduit
ej
java.lang.Object
ej.ListProduit
All Implemented Interfaces:

  ListOperator

public class ListProduit
extends Object
implements ListOperator
ListProduit: interface used to perform ListProduit math operation
See Also:

  lop

Constructor Summary
ListProduit()

Method Summary
float[] | operate(float a, float[] b) perform the ListProduit math operation
float[] | operate(float[] a, float b) perform the ListProduit math operation
float[] | operate(float[] a, float[] b) perform the ListProduit math operation

Constructor Detail
ListProduit
public ListProduit()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListProduit math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListProduit math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListProduit math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListRound
ej
java.lang.Object
ej.ListRound
All Implemented Interfaces:

  ListOperator

public class ListRound
extends Object
implements ListOperator
ListRound: interface used to perform ListRound math operation
See Also:

  lop

Constructor Summary
ListRound()

Method Summary
float[] | operate(float a, float[] b) perform the ListRound math operation
float[] | operate(float[] a, float b) perform the ListRound math operation
float[] | operate(float[] a, float[] b) perform the ListRound math operation

Constructor Detail
ListRound
public ListRound()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListRound math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListRound math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListRound math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListSin
ej
java.lang.Object
ej.ListSin
All Implemented Interfaces:

  ListOperator

public class ListSin
extends Object
implements ListOperator
ListSin: interface used to perform ListSin math operation
See Also:

  lop

Constructor Summary
ListSin()

Method Summary
float[] | operate(float a, float[] b) perform the ListSin math operation
float[] | operate(float[] a, float b) perform the ListSin math operation
float[] | operate(float[] a, float[] b) perform the ListSin math operation

Constructor Detail
ListSin
public ListSin()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListSin math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListSin math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListSin math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListSoustraction
ej
java.lang.Object
ej.ListSoustraction
All Implemented Interfaces:

  ListOperator

public class ListSoustraction
extends Object
implements ListOperator
ListSoustraction: interface used to perform ListSoustraction math operation
See Also:

  lop

Constructor Summary
ListSoustraction()

Method Summary
float[] | operate(float a, float[] b) perform the ListSoustraction math operation
float[] | operate(float[] a, float b) perform the ListSoustraction math operation
float[] | operate(float[] a, float[] b) perform the ListSoustraction math operation

Constructor Detail
ListSoustraction
public ListSoustraction()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListSoustraction math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListSoustraction math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListSoustraction math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListSqrt
ej
java.lang.Object
ej.ListSqrt
All Implemented Interfaces:

  ListOperator

public class ListSqrt
extends Object
implements ListOperator
ListSqrt: interface used to perform ListSqrt math operation
See Also:

  lop

Constructor Summary
ListSqrt()

Method Summary
float[] | operate(float a, float[] b) perform the ListSqrt math operation
float[] | operate(float[] a, float b) perform the ListSqrt math operation
float[] | operate(float[] a, float[] b) perform the ListSqrt math operation

Constructor Detail
ListSqrt
public ListSqrt()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListSqrt math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListSqrt math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListSqrt math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListTan
ej
java.lang.Object
ej.ListTan
All Implemented Interfaces:

  ListOperator

public class ListTan
extends Object
implements ListOperator
ListTan: interface used to perform ListTan math operation
See Also:

  lop

Constructor Summary
ListTan()

Method Summary
float[] | operate(float a, float[] b) perform the ListTan math operation
float[] | operate(float[] a, float b) perform the ListTan math operation
float[] | operate(float[] a, float[] b) perform the ListTan math operation

Constructor Detail
ListTan
public ListTan()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListTan math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListTan math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListTan math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class ListTrunc
ej
java.lang.Object
ej.ListTrunc
All Implemented Interfaces:

  ListOperator

public class ListTrunc
extends Object
implements ListOperator
ListTrunc: interface used to perform ListTrunc math operation
See Also:

  lop

Constructor Summary
ListTrunc()

Method Summary
float[] | operate(float a, float[] b) perform the ListTrunc math operation
float[] | operate(float[] a, float b) perform the ListTrunc math operation
float[] | operate(float[] a, float[] b) perform the ListTrunc math operation

Constructor Detail
ListTrunc
public ListTrunc()
Method Detail
operate
public float[] operate(float a,
float[] b)

  perform the ListTrunc math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - floating point value from the leftmost input
    b - list from the rightmost input

operate
public float[] operate(float[] a,
float b)

  perform the ListTrunc math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - floating point value from the rightmost input

operate
public float[] operate(float[] a,
float[] b)

  perform the ListTrunc math operation
  Specified by:
    operate in interface ListOperator
  Parameters:
    a - list from the leftmost input
    b - list from the rightmost input

Class lop
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lop

public class lop
extends ej
list operator: perform calculation on lists.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lop(com.cycling74.max.Atom[] args) Create a lop object.

Method Summary
void | bang() Re-Trigger the calculation
void | getops() Send the list of the availlable operators to the dumpout outlet.
void | inlet(float f) Apply the calculation on the floating point value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
void | inlet(int i) Apply the calculation on the integer value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
void | list(float[] args) Set the value, and then trigger the calculation (if the value arrive in the left inlet, or if the @autotrigger mode is set to 1).

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
lop
public lop(com.cycling74.max.Atom[] args)

  Create a lop object. The optional arguments define the operand and the default values.
  Parameters:
    args - operand, optionaly followed by the list of the default values (like the second inlet).

Method Detail
bang
public void bang()

  Re-Trigger the calculation
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Apply the calculation on the integer value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Apply the calculation on the floating point value, then trigger the calculation if the value arrive in the left inlet or if the @autotrigger mode is set to 1
  Overrides:
    inlet in class ej
  Parameters:
    f - float value

list
public void list(float[] args)

  Set the value, and then trigger the calculation (if the value arrive in the left inlet, or if the @autotrigger mode is set to 1).
  Overrides:
    list in class com.cycling74.max.MaxObject

getops
public void getops()

  Send the list of the availlable operators to the dumpout outlet.

Class lquant
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lquant

public class lquant
extends ej
Quantize a list (aka rounding to the nearest subdivision).
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lquant() Create a ej.lquant object with rounding default value (1.)
lquant(com.cycling74.max.Atom[] args) Create a lquant object with the defined value(s)

Method Summary
void | bang() Re-Trigger the calculation.
void | inlet(float f) Do something depending on the inlet number...
void | inlet(int i) Do something depending on the inlet number...
void | list(float[] args) Calculate or set the quantizing factors, depending on the inlet number
void | set(float[] args) Define the list to be quantized, without triggering the calculation.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
lquant
public lquant()

  Create a ej.lquant object with rounding default value (1.)

lquant
public lquant(com.cycling74.max.Atom[] args)

  Create a lquant object with the defined value(s)
  Parameters:
    args - set the quantification list

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Do something depending on the inlet number...
  Overrides:
    inlet in class ej
  Parameters:
    i - if the value arrives in the left inlet: quantize that value if the falue arrives in the right inlet: set the new quantizing factors

inlet
public void inlet(float f)

  Do something depending on the inlet number...
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the left inlet: quantize that value if the falue arrives in the right inlet: set the new quantizing factors

list
public void list(float[] args)

  Calculate or set the quantizing factors, depending on the inlet number
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - if the list arrives in the left inlet: quantize that list if the list arrives in the right inlet: set the new quantizing factors

set
public void set(float[] args)

  Define the list to be quantized, without triggering the calculation.
  Parameters:
    args - if the list arrives in the left inlet: store the list to be quantized if the list arrives in the right inlet: set the new quantizing factors

Class lscale
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lscale

public class lscale
extends ej
Scale list.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lscale(float[] args) Create a lscale object.

Method Summary
void | bang() Re-Trigger the calculation.
void | calculeClip() used internaly
void | calculeExp() used internaly
void | calculeExpClip() used internaly
void | calculeNormal() used internaly
void | inlet(float f) Depending on the inlet number, a float value can do many things...
void | inlet(int i) Depending on the inlet number, a int value can do many things...
void | list(float[] args) Define the list to be scaled.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
lscale
public lscale(float[] args)

  Create a lscale object.
  Parameters:
    args - [xMin] [xMax] [yMin] [yMax] [exponantiel factor]

Method Detail
bang
public void bang()

  Re-Trigger the calculation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Depending on the inlet number, a int value can do many things...
  Overrides:
    inlet in class ej
  Parameters:
    i - if the value arrives in the leftmost inlet: set the value to be scaled, and trigger the calculation if the value arrives in the second inlet: set the xMin value if the value arrives in the third inlet: set the xMax value if the value arrives in the fourth inlet: set the yMin value if the value arrives in the fifth inlet: set the yMax value if the value arrives in the sixth inlet: set the exponential factor

inlet
public void inlet(float f)

  Depending on the inlet number, a float value can do many things...
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the leftmost inlet: set the value to be scaled, and trigger the calculation if the value arrives in the second inlet: set the xMin value if the value arrives in the third inlet: set the xMax value if the value arrives in the fourth inlet: set the yMin value if the value arrives in the fifth inlet: set the yMax value if the value arrives in the sixth inlet: set the exponential factor

list
public void list(float[] args)

  Define the list to be scaled.
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - if the list arrives in the left inlet: set the list to be scaled and trigger the calculation if the list arrives in the second inlet: set the arguments for the scaling (xMin, xMax, yMin, yMax, Exponantial factor).

calculeNormal
public void calculeNormal()

  used internaly

calculeExp
public void calculeExp()

  used internaly

calculeClip
public void calculeClip()

  used internaly

calculeExpClip
public void calculeExpClip()

  used internaly

Class lslide
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.lslide

public class lslide
extends ej
smooth a list.
See Also:

  ej, `slide, slide~, jit.slide` objects

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
lslide(float slideUp, float slideDown) Create a lslide object with arguments.

Method Summary
void | bang() Re-Trigger the smoothing.
void | inlet(float f) Do something depending on the inlet...
void | inlet(int i) Do something depending on the inlet...
void | list(float[] args) The list to be smoothed.
void | notifyDeleted() used internal to free the clock.
void | reset() Reset the object if the filter explode (it shouldn't be necessary anymore though)
void | set(float[] args) Set the list to be smoothed (so you can interpolate from that)

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
lslide
public lslide(float slideUp,
float slideDown)

  Create a lslide object with arguments.
  Parameters:
    slideUp - slide up value
    slideDown - slide down value

Method Detail
notifyDeleted
public void notifyDeleted()

  used internal to free the clock.
  Overrides:
    notifyDeleted in class com.cycling74.max.MaxObject

bang
public void bang()

  Re-Trigger the smoothing.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Do something depending on the inlet...
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Do something depending on the inlet...
  Overrides:
    inlet in class ej
  Parameters:
    f - if the value arrives in the left inlet: try using the `slide` object instead. if the value arrives in the second inlet: change the slide up value if the value arrives in the third inlet: change the slide down value

list
public void list(float[] args)

  The list to be smoothed.
  Overrides:
    list in class com.cycling74.max.MaxObject
  Parameters:
    args - if the list arrives in the left inlet: the list will be smoothed. if the list arrives in the second inlet: the first item of the list defines the slide up value, the second defines the slide down.

set
public void set(float[] args)

  Set the list to be smoothed (so you can interpolate from that)
  Parameters:
    args - the list

reset
public void reset()

  Reset the object if the filter explode (it shouldn't be necessary anymore though)

Class mmmm
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.mmmm

public class mmmm
extends ej
min, median, mean and max on a stream of values.
See Also:

  "js ej.4m.js", ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
mmmm() Create a mmmm with default window size (3).
mmmm(int ws) Create a mmmm with specified window size.
mmmm(int ws, boolean verbeux) Create a mmmm with specified window size and verbose mode

Method Summary
void | bang() Re-trigger.
void | clear() Reset the memory.
void | inlet(float f) Value to be analysed
void | inlet(int i) Value to be analysed
void | reset() Reset the memory.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
mmmm
public mmmm()

  Create a mmmm with default window size (3).

mmmm
public mmmm(int ws)

  Create a mmmm with specified window size.
  Parameters:
    ws - window size

mmmm
public mmmm(int ws,
boolean verbeux)

  Create a mmmm with specified window size and verbose mode
  Parameters:
    ws - window size
    verbeux - verbose state (1 equals verbose, 0 silent).

Method Detail
bang
public void bang()

  Re-trigger.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Value to be analysed
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Value to be analysed
  Overrides:
    inlet in class ej
  Parameters:
    f - float

clear
public void clear()

  Reset the memory. alias for reset().

reset
public void reset()

  Reset the memory.

Class mtof
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.mtof

public class mtof
extends ej
Convert MIDI to frequency. This works for list, and allows you to define tuning and pitch reference.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
mtof(float tuning) Create a mtof object with specified tuning.
mtof(float tuning, float pitch_reference) Create a mtof object with specified tuning and pitch reference.

Method Summary
void | inlet(float f) Calculate the frequency corresponding to the MIDI note number you send
void | inlet(int i) Calculate the frequency corresponding to the MIDI note number you send
void | list(float[] list)

Methods inherited from class ej.ej
anything, bang, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
mtof
public mtof(float tuning)

  Create a mtof object with specified tuning.

mtof
public mtof(float tuning,
float pitch_reference)

  Create a mtof object with specified tuning and pitch reference.
  Parameters:
    tuning - tuning frequency
    pitch_reference - MIDI pitch reference

Method Detail
inlet
public void inlet(int i)

  Calculate the frequency corresponding to the MIDI note number you send
  Overrides:
    inlet in class ej
  Parameters:
    i - MIDI note number

inlet
public void inlet(float f)

  Calculate the frequency corresponding to the MIDI note number you send
  Overrides:
    inlet in class ej
  Parameters:
    f - MIDI note number

list
public void list(float[] list)

  Overrides:
    list in class com.cycling74.max.MaxObject

Class urn
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.urn

public class urn
extends ej
random sequence generator (like the standart urn object)
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
urn(int size) Create a urn object with specified range
urn(int size, int seed) Create a urn object with specified range and seed

Method Summary
void | bang() Generate the next random value.
void | clear() Reset the values (ready to start a new sequence)
void | inlet(int i) Define a new range.
void | seed(int seed) Set the seed
void | sizeInfo() Display a message in the Max window of the memory utilisation.

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
urn
public urn(int size)

  Create a urn object with specified range
  Parameters:
    size - range (output value will be from 0 to range-1)

urn
public urn(int size,
int seed)

  Create a urn object with specified range and seed
  Parameters:
    size - range (output value will be from 0 to range-1)
    seed - seed

Method Detail
bang
public void bang()

  Generate the next random value.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  Define a new range.
  Overrides:
    inlet in class ej
  Parameters:
    i - range (output value will be from 0 to range-1)

clear
public void clear()

  Reset the values (ready to start a new sequence)

seed
public void seed(int seed)

  Set the seed
  Parameters:
    seed - integer value sets the seed.

sizeInfo
public void sizeInfo()

  Display a message in the Max window of the memory utilisation.

Class x2dx
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.x2dx

public class x2dx
extends ej
extract deltas from a list of values.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
x2dx(com.cycling74.max.Atom[] args) Create x2dx object.

Method Summary
void | bang()
void | list(double[] args)
void | set(double[] args)

Methods inherited from class ej.ej
anything, dblclick, findVersion, inlet, inlet, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Constructor Detail
x2dx
public x2dx(com.cycling74.max.Atom[] args)

  Create x2dx object.

Method Detail
bang
public void bang()

  Overrides:
    bang in class ej

list
public void list(double[] args)

set
public void set(double[] args)
Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com